Bug 131466 - ypbind or its initscript blocks far too long if the NIS server is unavailable during boot
ypbind or its initscript blocks far too long if the NIS server is unavailable...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: ypbind (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
:
Depends On:
Blocks: startuptime
  Show dependency treegraph
 
Reported: 2004-09-01 12:38 EDT by Daniel Reed
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-31 16:20:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Reed 2004-09-01 12:38:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040704 Firefox/0.9.1

Description of problem:
If an NIS server is specified but unavailable,

Binding to the NIS domain:
and
Listening for an NIS domain server...
take too long. (Most time is lost in the second stage.)

Listening can take on the order of one full minute, which makes
rebooting to test networking-related problems an extremely
time-consuming activity.

This may be a problem with the initscripts; feel free to reassign.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create /etc/yp.conf with any entry (broadcast or a specific server)
2. Reboot without access to the NIS server (either no server in your
broadcast domain, or without a route to the specified server)

Note You need to log in before you can comment on or make changes to this bug.